import React, { FC } from 'react';
import { makeStyles } from '@material-ui/core/styles';
import { Grid, Typography, CardContent, Card } from '@material-ui/core';
import LocalTaxiIcon from '@material-ui/icons/LocalTaxi';
import LocationCityIcon from '@material-ui/icons/LocationCity';
import PeopleIcon from '@material-ui/icons/People';

const useStyles = makeStyles(() => ({
  root: {
    minHeight: '100vh',
    backgroundImage: `url(${'/assets/bg3.png'})`,
    backgroundRepeat: 'no-repeat',
    backgroundSize: 'cover',
  },
  rightAlign: {
    marginLeft: 'auto',
  },
  whiteText: {
    color: 'white',
  },
  imageIcon: {
    maxHeight: '50%',
  },
  paddingBottom: {
    paddingBottom: '65px',
  },
  paddingTop: {
    paddingTop: '65px',
  },
  bodyIcon: {
    fontSize: '90px',
    paddingBottom: '10px',
    paddingTop: '10px',
  },
  contIcon: {
    width: '100%',
    left: '0',
    right: '0',
  },
  noShadow: {
    border: 'none',
    boxShadow: 'none',
    backgroundColor: 'transparent',
  },
}));

export const Numbers: FC = () => {
  const classes = useStyles();

  return (
    <Grid item container alignItems="stretch" style={{ paddingTop: '20px' }}>
      <Grid item xs={2} />

      <Grid item xs={2} component={Card} className={classes.noShadow}>
        <CardContent>
          <Grid
            container
            spacing={0}
            direction="column"
            alignItems="center"
            justify="center"
          >
            <Grid item xs={12}>
              <LocalTaxiIcon color="primary" className={classes.bodyIcon} />
            </Grid>
          </Grid>

          <Typography variant="h4" align="center">
            300
          </Typography>

          <Typography variant="h6" align="center">
            Rides Offered
          </Typography>
        </CardContent>
      </Grid>

      <Grid item xs={1} />

      <Grid item xs={2} component={Card} className={classes.noShadow}>
        <CardContent>
          <Grid
            container
            spacing={0}
            direction="column"
            alignItems="center"
            justify="center"
          >
            <Grid item xs={12}>
              <LocationCityIcon color="primary" className={classes.bodyIcon} />
            </Grid>
          </Grid>

          <Typography variant="h4" align="center">
            25000
          </Typography>

          <Typography variant="h6" align="center">
            Kilometers
          </Typography>
        </CardContent>
      </Grid>

      <Grid item xs={1} />

      <Grid item xs={2} component={Card} className={classes.noShadow}>
        <CardContent>
          <Grid
            container
            spacing={0}
            direction="column"
            alignItems="center"
            justify="center"
          >
            <Grid item xs={12}>
              <PeopleIcon color="primary" className={classes.bodyIcon} />
            </Grid>
          </Grid>

          <Typography variant="h4" align="center">
            225
          </Typography>

          <Typography variant="h6" align="center">
            People who used our service
          </Typography>
        </CardContent>
      </Grid>

      <Grid item xs={2} />
    </Grid>
  );
};
